org.licas.ws.soap

## Class SoapConst

- java.lang.Object
- - org.licas.ws.soap.LicasSoapConst
  - - org.licas.ws.soap.SoapConst

-     public class SoapConst
      extends LicasSoapConst

  This class stores basic types used in ontology objects and wsdl parser.
  Author:
    Kieran Greer.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ANYTYPE` Indicates any type.
    `static java.lang.String` | `ARRAY` Indicates simple array type.
    `static java.lang.String` | `ARRAYTYPE` Indicates an array type definition.
    `static java.lang.String` | `BASE64BINARY` Indicates a binary data type.
    `static java.lang.String` | `BINARY` Indicates a binary data type.
    `static java.lang.String` | `BODY` Indicate body tag.
    `static java.lang.String` | `BODYTAG`
    `static java.lang.String` | `BOOLEAN` Indicates a boolean variable.
    `static java.lang.String` | `COMPLEXTYPE` Indicate a complex type.
    `static java.lang.String` | `DATETIME` Indicates a date time.
    `static java.lang.String` | `DECIMAL` Indicates a positive or negative integer.
    `static java.lang.String` | `DOUBLE` Indicates a double value.
    `static java.lang.String` | `ENVELOPENAMESPACE`
    `static java.lang.String` | `ENVELOPETAG`
    `static java.lang.String` | `ENVELOPEURL`
    `static java.lang.String` | `FLOAT` Indicates a float value.
    `static java.lang.String` | `HEADER` Indicate header tag.
    `static java.lang.String` | `INTEGER` Indicates a positive integer value.
    `static java.lang.String` | `LONG` Indicates a long value.
    `static java.lang.String` | `NEGATIVEINTEGER` Indicates a negative integer value.
    `static java.lang.String` | `SCHEMA` Indicate another schema.
    `static java.lang.String` | `SIMPLETYPE` Indicate a simple type.
    `static java.lang.String` | `SOAPACTION` Indicate soap action tag.
    `static java.lang.String` | `SOAPENC` Web Service namespace constants
    `static java.lang.String` | `STRING` Indicates a String type.
    `static java.lang.String` | `XMLNS`
    `static java.lang.String` | `XMLSCHEMAINSTANCEURL`
    `static java.lang.String` | `XMLSCHEMAURL`
    `static java.lang.String` | `XSD`
    `static java.lang.String` | `XSI`

    - ### Fields inherited from class org.licas.ws.soap.LicasSoapConst

      `ANOTHERDIM, ARRAYDIM, ARRAYOF, ENDDIM, SEP, TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SoapConst()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `countDimensions(java.lang.String value)` Return the number of dimensions in an array if an array exists or return 0.
    `static java.util.ArrayList` | `getTypes()` Return the different types stored in a vector.
    `static boolean` | `isBinary(java.lang.String type)` Return true if type os a binary type.
    `static boolean` | `isSimpleType(java.lang.String type)` Return true if the type input is a simple type as defined in this class.
    `static java.lang.String` | `removeDimensions(java.lang.String value)` Return the String value with the dimensions removed.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SOAPENC

          public static final java.lang.String SOAPENC

      Web Service namespace constants
      See Also:
        Constant Field Values

    - #### XSD

          public static final java.lang.String XSD

      See Also:
        Constant Field Values

    - #### XSI

          public static final java.lang.String XSI

      See Also:
        Constant Field Values

    - #### XMLNS

          public static final java.lang.String XMLNS

      See Also:
        Constant Field Values

    - #### XMLSCHEMAURL

          public static final java.lang.String XMLSCHEMAURL

      See Also:
        Constant Field Values

    - #### XMLSCHEMAINSTANCEURL

          public static final java.lang.String XMLSCHEMAINSTANCEURL

      See Also:
        Constant Field Values

    - #### ENVELOPEURL

          public static final java.lang.String ENVELOPEURL

      See Also:
        Constant Field Values

    - #### ENVELOPENAMESPACE

          public static final java.lang.String ENVELOPENAMESPACE

      See Also:
        Constant Field Values

    - #### ENVELOPETAG

          public static final java.lang.String ENVELOPETAG

      See Also:
        Constant Field Values

    - #### BODYTAG

          public static final java.lang.String BODYTAG

      See Also:
        Constant Field Values

    - #### HEADER

          public static final java.lang.String HEADER

      Indicate header tag.
      See Also:
        Constant Field Values

    - #### BODY

          public static final java.lang.String BODY

      Indicate body tag.
      See Also:
        Constant Field Values

    - #### SOAPACTION

          public static final java.lang.String SOAPACTION

      Indicate soap action tag.
      See Also:
        Constant Field Values

    - #### COMPLEXTYPE

          public static final java.lang.String COMPLEXTYPE

      Indicate a complex type.
      See Also:
        Constant Field Values

    - #### SIMPLETYPE

          public static final java.lang.String SIMPLETYPE

      Indicate a simple type.
      See Also:
        Constant Field Values

    - #### SCHEMA

          public static final java.lang.String SCHEMA

      Indicate another schema.
      See Also:
        Constant Field Values

    - #### ARRAY

          public static final java.lang.String ARRAY

      Indicates simple array type.
      See Also:
        Constant Field Values

    - #### ARRAYTYPE

          public static final java.lang.String ARRAYTYPE

      Indicates an array type definition.
      See Also:
        Constant Field Values

    - #### DATETIME

          public static final java.lang.String DATETIME

      Indicates a date time.
      See Also:
        Constant Field Values

    - #### BINARY

          public static final java.lang.String BINARY

      Indicates a binary data type.
      See Also:
        Constant Field Values

    - #### BASE64BINARY

          public static final java.lang.String BASE64BINARY

      Indicates a binary data type.
      See Also:
        Constant Field Values

    - #### BOOLEAN

          public static final java.lang.String BOOLEAN

      Indicates a boolean variable.
      See Also:
        Constant Field Values

    - #### STRING

          public static final java.lang.String STRING

      Indicates a String type.
      See Also:
        Constant Field Values

    - #### DECIMAL

          public static final java.lang.String DECIMAL

      Indicates a positive or negative integer.
      See Also:
        Constant Field Values

    - #### INTEGER

          public static final java.lang.String INTEGER

      Indicates a positive integer value.
      See Also:
        Constant Field Values

    - #### LONG

          public static final java.lang.String LONG

      Indicates a long value.
      See Also:
        Constant Field Values

    - #### NEGATIVEINTEGER

          public static final java.lang.String NEGATIVEINTEGER

      Indicates a negative integer value.
      See Also:
        Constant Field Values

    - #### FLOAT

          public static final java.lang.String FLOAT

      Indicates a float value.
      See Also:
        Constant Field Values

    - #### DOUBLE

          public static final java.lang.String DOUBLE

      Indicates a double value.
      See Also:
        Constant Field Values

    - #### ANYTYPE

          public static final java.lang.String ANYTYPE

      Indicates any type.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SoapConst

          public SoapConst()

  - ### Method Detail

    - #### isSimpleType

          public static boolean isSimpleType(java.lang.String type)

      Return true if the type input is a simple type as defined in this class.
      Parameters:
        `type` - the type to be checked
      Returns:
        boolean true if the type is a simple type

    - #### isBinary

          public static boolean isBinary(java.lang.String type)

      Return true if type os a binary type.
      Parameters:
        `type` - the type
      Returns:
        boolean true if a binary type

    - #### getTypes

          public static java.util.ArrayList getTypes()

      Return the different types stored in a vector.
      Returns:
        ArrayList the type names stored in a ArrayList

    - #### removeDimensions

          public static java.lang.String removeDimensions(java.lang.String value)

      Return the String value with the dimensions removed.
      Parameters:
        `value` - the type with the dimensions
      Returns:
        the type with the dimensions removed

    - #### countDimensions

          public static int countDimensions(java.lang.String value)

      Return the number of dimensions in an array if an array exists or return 0.
      Parameters:
        `value` - the type with possible array dimensions
      Returns:
        the number of dimensions